Package org.apache.storm.generated

## Class WorkerToken

- java.lang.Object
- - org.apache.storm.generated.WorkerToken

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<WorkerToken>`, `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class WorkerToken
      extends Object
      implements org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>, Serializable, Cloneable, Comparable<WorkerToken>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `WorkerToken._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<WorkerToken._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkerToken()` |
    `WorkerToken​(WorkerToken other)` | Performs a deep copy on other.
    `WorkerToken​(WorkerTokenServiceType serviceType, ByteBuffer info, ByteBuffer signature)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ByteBuffer` | `buffer_for_info()` |
    `ByteBuffer` | `buffer_for_signature()` |
    `void` | `clear()` |
    `int` | `compareTo​(WorkerToken other)` |
    `WorkerToken` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(WorkerToken that)` |
    `WorkerToken._Fields` | `fieldForId​(int fieldId)` |
    `byte[]` | `get_info()` |
    `WorkerTokenServiceType` | `get_serviceType()` |
    `byte[]` | `get_signature()` |
    `Object` | `getFieldValue​(WorkerToken._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_info()` | Returns true if field info is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_serviceType()` | Returns true if field serviceType is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_signature()` | Returns true if field signature is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(WorkerToken._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_info​(byte[] info)` |
    `void` | `set_info​(ByteBuffer info)` |
    `void` | `set_info_isSet​(boolean value)` |
    `void` | `set_serviceType​(WorkerTokenServiceType serviceType)` |
    `void` | `set_serviceType_isSet​(boolean value)` |
    `void` | `set_signature​(byte[] signature)` |
    `void` | `set_signature​(ByteBuffer signature)` |
    `void` | `set_signature_isSet​(boolean value)` |
    `void` | `setFieldValue​(WorkerToken._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_info()` |
    `void` | `unset_serviceType()` |
    `void` | `unset_signature()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<WorkerToken._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### WorkerToken

          public WorkerToken()

    - #### WorkerToken

          public WorkerToken​(WorkerTokenServiceType serviceType,
                             ByteBuffer info,
                             ByteBuffer signature)

    - #### WorkerToken

          public WorkerToken​(WorkerToken other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public WorkerToken deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### get_serviceType

          public WorkerTokenServiceType get_serviceType()

      See Also:
        `WorkerTokenServiceType`

    - #### set_serviceType

          public void set_serviceType​(WorkerTokenServiceType serviceType)

      See Also:
        `WorkerTokenServiceType`

    - #### unset_serviceType

          public void unset_serviceType()

    - #### is_set_serviceType

          public boolean is_set_serviceType()

      Returns true if field serviceType is set (has been assigned a value) and false otherwise

    - #### set_serviceType_isSet

          public void set_serviceType_isSet​(boolean value)

    - #### get_info

          public byte[] get_info()

    - #### buffer_for_info

          public ByteBuffer buffer_for_info()

    - #### set_info

          public void set_info​(byte[] info)

    - #### set_info

          public void set_info​(ByteBuffer info)

    - #### unset_info

          public void unset_info()

    - #### is_set_info

          public boolean is_set_info()

      Returns true if field info is set (has been assigned a value) and false otherwise

    - #### set_info_isSet

          public void set_info_isSet​(boolean value)

    - #### get_signature

          public byte[] get_signature()

    - #### buffer_for_signature

          public ByteBuffer buffer_for_signature()

    - #### set_signature

          public void set_signature​(byte[] signature)

    - #### set_signature

          public void set_signature​(ByteBuffer signature)

    - #### unset_signature

          public void unset_signature()

    - #### is_set_signature

          public boolean is_set_signature()

      Returns true if field signature is set (has been assigned a value) and false otherwise

    - #### set_signature_isSet

          public void set_signature_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(WorkerToken._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(WorkerToken._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### isSet

          public boolean isSet​(WorkerToken._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(WorkerToken that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(WorkerToken other)

      Specified by:
        `compareTo` in interface `Comparable<WorkerToken>`

    - #### fieldForId

          public WorkerToken._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<WorkerToken,​WorkerToken._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`